####################################################################
#   Copyright (c) 1996 NPACT Working Group. You may copy,          #
#   distribute, and modify it freely as long as you preserve this  #
#   copyright and permission notice.                               #
#                                                                  #
#   NPACT Working Group is a joint force of                        #
#      NPAC at Syracuse University,                                #
#      PACT at Harbin Institute of Technology, and                 #
#      PACT at Peking University                                   #
####################################################################

SHELL=/bin/sh

srcdir      = @srcdir@
top_srcdir  = @top_srcdir@

VERSION = @VERSION@

prefix      = @prefix@

exec_prefix = @exec_prefix@
bindir      = @bindir@

target=

VPATH = .:${srcdir}

all: update check

update: Makefile

Makefile: Makefile.in
	@echo 
	@echo Please configure the package to generate new makefile ...
	@exit 1

check:  hpf2nf 


hpf2nf:
	@echo "----------- Test Compiling ------------"
	@for i in adi.f ge.f lap.f; do (echo "...Compiling " $$i; \
	if [ ${srcdir} != . ] ; then cp ${srcdir}/$$i . ; fi ;\
	if [ -x ../../src/script/hpf2nf ]; then ../../src/script/hpf2nf $$i; \
	else ${bindir}/hpf2nf $$i; fi;) done


clean:
	rm -f *.node.f *.dep *.lst core a.dep.out adi lap ge PI*

distclean:
	rm -f *.rec 

record:
	for i in `ls *.node.f`; do (cp $$i  $$i.rec;) done

compare:
	@echo "---------- Comparing node program results  ----------"
	@for i in `ls *.node.f`; do (echo "...Comparing" $$i; \
	diff $$i.rec $$i;) done







